import * as types from '../types';
/**
 * Helper for the linear-gradient function in CSS
 * https://drafts.csswg.org/css-images-3/#funcdef-linear-gradient
 */
export declare function linearGradient(position: types.CSSAngle | types.CSSSideOrCorner, ...colors: (types.CSSColor | types.CSSColorStop)[]): types.CSSType<'gradient'>;
/**
 * Helper for the repeating-linear-gradient function in CSS
 * https://drafts.csswg.org/css-images-3/#funcdef-repeating-linear-gradient
 */
export declare function repeatingLinearGradient(position: types.CSSSideOrCorner, ...colors: (types.CSSColor | types.CSSColorStop)[]): types.CSSType<'gradient'>;
